summaryrefslogtreecommitdiffstats
path: root/system/nrg2cue/nrg2cue.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/nrg2cue/nrg2cue.SlackBuild')
-rw-r--r--system/nrg2cue/nrg2cue.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/system/nrg2cue/nrg2cue.SlackBuild b/system/nrg2cue/nrg2cue.SlackBuild
new file mode 100644
index 0000000000..74c3aefabf
--- /dev/null
+++ b/system/nrg2cue/nrg2cue.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/bash
+
+# Slackware build script for nrg2cue
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=nrg2cue
+VERSION=${VERSION:-0.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip -p $CWD/$PRGNAM.zip $PRGNAM.c > $PRGNAM.c
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+
+# This is just a single C source file, with no documentation or even a
+# Makefile.
+mkdir -p $PKG/usr/bin $PKGDOC
+${CC:-gcc} $SLKCFLAGS -Wl,-s -o $PKG/usr/bin/$PRGNAM $PRGNAM.c
+
+# The license is GPL, in comments in the source.
+sed -n '2,18p' $PRGNAM.c > $PKGDOC/LICENSE
+
+# Include our own README, it may be helpful.
+cat $CWD/README > $PKGDOC/README
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE